%Esempio di aplicazione del teorema delle contrazioni
%con disegno del grafico della funzione

%disegna la funzione cos x
x=[-pi:0.1:2*pi];
plot(x,cos(x));
hold on; %mantieni la figura corrente
%disegna la funzione x
plot(x,x,'r');

axis([-1 1 -1 1]);

x0=1; %punto di partenza
toll=1e-10; ; %tolleranza nella ricerca del punto fisso
i=0;
while abs(x0-cos(x0))>toll
    i=i+1;
    x1=cos(x0);
    x0=x1;
%disegna il punto corrente dell'iterazione
plot(x0, cos(x0),'x');
pause;   %attendi la pressione di un tasto
end

disp(sprintf('numero iterazioni= %d',i));
disp(sprintf('risultato =%g',x0));


